#MQTTパブリッシャ動作
import paho.mqtt.client as mqtt # MQTTのライブラリをインポート
from time import sleep # 3秒間のウェイトのために使う
# ブローカに接続できたときの処理
def on_connect(client, userdata, flag, rc):
    print ("接続しました：" + str (rc))
def on_disconnect(client, userdata, rc): # ブローカ切断時の処理
    if rc != 0:
        print ("Unexpected disconnection.")
def on_publish(client, userdata, mid): # publishが完了時の処理
    print ("パブリッシュ: {0}".format(mid))

def main(): # メイン関数
    client = mqtt.Client() # クラスのインスタンス(実体)の作成
    client.on_connect = on_connect # 接続時のコールバック関数を登録
    client.on_disconnect = on_disconnect # 切断時のコールバックを登録
    client.on_publish = on_publish # メッセージ送信時のコールバック
    client.connect("test.mosquitto.org", 1883, 60) # 接続先は自分自身
    client.loop_start() # 通信処理スタート
    i=0
    while True: # 永久に繰り返す
        client.publish("foo_topic","Hello, IoT User!"+str(i)) # トピック名とメッセージを決めて送信
        i+=1
        sleep(3) # 3秒待つ

if __name__ == '__main__': # importされないときだけmain()を呼ぶ
    main() # メイン関数を呼び出す
