import paho.mqtt.client as mqtt # MQTTのライブラリをインポート
def on_connect(client, userdata, flag, rc): # ブローカ接続時の処理
    print ("接続しました：" + str (rc)) # 接続できたと表示
    client.subscribe("foo_topic") # subするトピックを設定
def on_disconnect(client, userdata, rc): # ブローカ切断時の処理
    if rc != 0:
        print ("Unexpected disconnection.")
def on_message(client, userdata, msg): # メッセージが届いたときの処理
    # msg.topicにトピック名が，msg.payloadに届いたデータ本体が入っている
    print ("Received message '" + str (msg.payload) + "' on topic '" + msg.topic + "' with QoS " + str(msg.qos))
# MQTTの接続設定
client = mqtt.Client() # クラスのインスタンス(実体)の作成
client.on_connect = on_connect # 接続時のコールバック関数を登録
client.on_disconnect = on_disconnect # 切断時のコールバックを登録
client.on_message = on_message # メッセージ到着時のコールバック
client.connect("test.mosquitto.org", 1883, 60) # 接続先は自分自身
client.loop_forever() # 永久ループして待ち続ける
