# server.tcp.py
import socket # モジュールのインポート
import network,time,dht20
from machine import I2C,Pin
PORT = 50000 # ポート番号

s=network.WLAN(network.STA_IF)
s.active(True)
s.connect("SSID-NAME","SSID-PSWD")
while s.isconnected()==False:
    pass
print(s.ifconfig())

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM) # ソケットの作成
server.bind(("", PORT)) # アドレスの設定
server.listen() # 接続の待ち受け

i2c=I2C(1,scl=Pin(22),sda=Pin(21))
sensor = dht20.DHT20( i2c )

client, addr = server.accept() # 通信用ソケットの取得
while True:
    t = sensor.dht20_temperature( )
    h = sensor.dht20_humidity( )
    client.sendall(str(t)) # メッセージの送信
    time.sleep(2)
    client.sendall(str(h)) # メッセージの送信
    time.sleep(2)
client.close() # コネクションのクローズ
server.close() # サーバソケットのクローズ
