ESSID = 'SSID-NAME' #ESSID名
PASSWORD = 'SSID-PSWD'

import network,socket,dht20
from machine import I2C,Pin

station=network.WLAN(network.STA_IF) #ステーションモード
station.active(True) #ステーションを有効に
station.connect(ESSID,PASSWORD) #ESSIDとパスワードを設定

while station.isconnected() == 0: #アクセスポイントに接続
    pass #何もしない
print ('Station start')
print (station.ifconfig()) #ステーション状態

i2c=I2C(1,scl=Pin(22),sda=Pin(21))
sensor = dht20.DHT20( i2c )

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM) # ソケットの作成
server.bind(("", 80)) # アドレスの設定
server.listen(5) # 接続の待ち受け

def web_page(): #ウェブページ表示関数
    html = """<html><head><meta name="viewport" content= "width=device-width, initial scale=1"> </head> <body><h1>Temp: """+str(t)+""" &degC<br />Humi: """+str(h)+""" %</h1></body> </html> """
    return html

while True:
    t = sensor.dht20_temperature( )
    h = sensor.dht20_humidity( )
    conn, addr = server.accept() #接続情報獲得
    print ('Got a connection from %s' % str (addr))
    request = conn.recv(1024) #データ受信
    print ('Content = %s' % str (request))
    response = web_page() #ウェブページ表示
    conn.send(response) #データ送信
    conn.close() # コネクションのクローズ

server.close() # サーバソケットのクローズ
